pearl-vector-operations.ipf File Reference

Go to the source code of this file.

## Functions

variable | rotate2d_x (variable xx, variable yy, variable angle)
variable | rotate2d_y (variable xx, variable yy, variable angle)
wave | create_rotation_matrix_free ()
wave | set_rotation_x (wave matrix, variable angle)
wave | set_rotation_y (wave matrix, variable angle)
wave | set_rotation_z (wave matrix, variable angle)
variable | rotate_x_wave (wave inout, variable angle)
variable | rotate_y_wave (wave inout, variable angle)
variable | rotate_z_wave (wave inout, variable angle)

## Function Documentation

## create_rotation_matrix_free()

wave create_rotation_matrix_free | ( |  | ) |

Definition at line 26 of file pearl-vector-operations.ipf.

## rotate2d_x()

variable rotate2d_x | ( | variable | xx,
|  | variable | yy,
|  | variable | angle
| ) |  |

Definition at line 10 of file pearl-vector-operations.ipf.

## rotate2d_y()

variable rotate2d_y | ( | variable | xx,
|  | variable | yy,
|  | variable | angle
| ) |  |

Definition at line 18 of file pearl-vector-operations.ipf.

## rotate_x_wave()

variable rotate_x_wave | ( | wave | inout,
|  | variable | angle
| ) |  |

Definition at line 83 of file pearl-vector-operations.ipf.

## rotate_y_wave()

variable rotate_y_wave | ( | wave | inout,
|  | variable | angle
| ) |  |

Definition at line 101 of file pearl-vector-operations.ipf.

## rotate_z_wave()

variable rotate_z_wave | ( | wave | inout,
|  | variable | angle
| ) |  |

Definition at line 119 of file pearl-vector-operations.ipf.

## set_rotation_x()

wave set_rotation_x | ( | wave | matrix,
|  | variable | angle
| ) |  |

Definition at line 35 of file pearl-vector-operations.ipf.

## set_rotation_y()

wave set_rotation_y | ( | wave | matrix,
|  | variable | angle
| ) |  |

Definition at line 51 of file pearl-vector-operations.ipf.

## set_rotation_z()

wave set_rotation_z | ( | wave | matrix,
|  | variable | angle
| ) |  |

Definition at line 67 of file pearl-vector-operations.ipf.